/////////////////////////////////////////////////////////
// ACKNEX Engine - DLL library, A6+A7 version
// (c) JCL / Conitec 2004-2007
/////////////////////////////////////////////////////////
#define WIN32_LEAN_AND_MEAN		
#include <windows.h>
#define DLL_USE
#define DLL_VERSION 630
#include "adll.h"

/////////////////////////////////////////////////////////
ENGINE_VARS	*ev;
#define F(f) (*f)
#define EXT
#undef afuncs_h	// include it a second time to create a function pointer list

#include "afuncs.h"

/////////////////////////////////////////////////////////
DLLFUNC long A6_DLLAPI(ENGINE_VARS *engine_vars)
{
	long (*WDLGetFunc)(char *name);
	ev = engine_vars;
	WDLGetFunc = ev->GetFunc;

#define FUNC(name,args) 	(long&)name = (*WDLGetFunc)(#name);	// exported function
#define FUNCX(name) 	(long&)name = (*WDLGetFunc)(#name);	// exported function
#define FUNCN(name,f,args) 	// non-exported function

#include "cmd.h"

	return DLL_VERSION;
}

long engine_bind(void)
{
	return DLL_VERSION;
}

var engine_callname(char *name,long p1,long p2,long p3,long p4)
{
	return engine_callname4(name,p1,p2,p3,p4);
}

var engine_callscript(long script,long p1,long p2,long p3,long p4)
{
	return engine_callscript4(script,p1,p2,p3,p4);
}
